export declare function getEventCoordinates(event: MouseEvent | TouchEvent): {
    clientX: number;
    clientY: number;
};
export declare function getEventTarget(event: MouseEvent | TouchEvent): EventTarget;
export declare function isTouchEvent(event: MouseEvent | TouchEvent): event is TouchEvent;
export declare function addPointerEventListeners(element: Element | Window | Document, handlers: {
    onPointerMove: (e: MouseEvent | TouchEvent) => void;
    onPointerUp: (e: MouseEvent | TouchEvent) => void;
}, isTouchStart: boolean): void;
export declare function removePointerEventListeners(element: Element | Window | Document, handlers: {
    onPointerMove: (e: MouseEvent | TouchEvent) => void;
    onPointerUp: (e: MouseEvent | TouchEvent) => void;
}, isTouchStart: boolean): void;
export declare function hasMovedEnough(startX: number, startY: number, endX: number, endY: number, threshold?: number): boolean;
